{{ $appSection := "migrationV2" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ $appName }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "golemioBi.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": pre-install,pre-upgrade
    "helm.sh/hook-delete-policy": before-hook-creation
    rollme: {{ randAlphaNum 7 | quote }}
    {{- include "golemioBi.annotations" . | nindent 4 }}
spec:
  backoffLimit: 1
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ $appName }}
        {{- include "golemioBi.labels" . | nindent 8 }}
      annotations:
        {{- include "golemioBi.annotations" . | nindent 8 }}
    spec:
      automountServiceAccountToken: false
      {{- include "golemioBi.imagePullSecrets" (list . .Values.global.imagePullSecrets ) | nindent 6 }}
      restartPolicy: Never
      containers:
        - name: {{ $appName }}
          image: {{ include "golemioBi.imageName" (list . "backendV2") | quote }}
          command: [ /bin/sh, -c ]
          args: ["yarn golemio migrate-db up --postgres"]
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          env:
            - name: POSTGRES_CONN
              valueFrom:
                secretKeyRef:
                  name: {{ index . "Values" $appSection "secretName" | default .Values.global.secretName | quote }}
                  key: postgresConn
          resources:
            {{ index . "Values" $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
            allowPrivilegeEscalation: false
            runAsNonRoot: true
            runAsUser: 1001
            capabilities:
              drop: [ "all" ]
{{ end }}
